io.etcd.jetcd.api

## Class TxnRequest

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.etcd.jetcd.api.TxnRequest

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, TxnRequestOrBuilder, Serializable

    public final class TxnRequest
    extends com.google.protobuf.GeneratedMessageV3
    implements TxnRequestOrBuilder

     From google paxosdb paper:
     Our implementation hinges around a powerful primitive which we call MultiOp. All other database
     operations except for iteration are implemented as a single call to MultiOp. A MultiOp is applied atomically
     and consists of three components:
     1. A list of tests called guard. Each test in guard checks a single entry in the database. It may check
     for the absence or presence of a value, or compare with a given value. Two different tests in the guard
     may apply to the same or different entries in the database. All tests in the guard are applied and
     MultiOp returns the results. If all tests are true, MultiOp executes t op (see item 2 below), otherwise
     it executes f op (see item 3 below).
     2. A list of database operations called t op. Each operation in the list is either an insert, delete, or
     lookup operation, and applies to a single database entry. Two different operations in the list may apply
     to the same or different entries in the database. These operations are executed
     if guard evaluates to
     true.
     3. A list of database operations called f op. Like t op, but executed if guard evaluates to false.

Protobuf type `etcdserverpb.TxnRequest`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TxnRequest.Builder` From google paxosdb paper: Our implementation hinges around a powerful primitive which we call MultiOp.

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `COMPARE_FIELD_NUMBER`
`static int` `FAILURE_FIELD_NUMBER`
`static int` `SUCCESS_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`Compare` `getCompare(int index)` compare is a list of predicates representing a conjunction of terms.
`int` `getCompareCount()` compare is a list of predicates representing a conjunction of terms.
`List<Compare>` `getCompareList()` compare is a list of predicates representing a conjunction of terms.
`CompareOrBuilder` `getCompareOrBuilder(int index)` compare is a list of predicates representing a conjunction of terms.
`List<? extends CompareOrBuilder>` `getCompareOrBuilderList()` compare is a list of predicates representing a conjunction of terms.
`static TxnRequest` `getDefaultInstance()`
`TxnRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`RequestOp` `getFailure(int index)` failure is a list of requests which will be applied when compare evaluates to false.
`int` `getFailureCount()` failure is a list of requests which will be applied when compare evaluates to false.
`List<RequestOp>` `getFailureList()` failure is a list of requests which will be applied when compare evaluates to false.
`RequestOpOrBuilder` `getFailureOrBuilder(int index)` failure is a list of requests which will be applied when compare evaluates to false.
`List<? extends RequestOpOrBuilder>` `getFailureOrBuilderList()` failure is a list of requests which will be applied when compare evaluates to false.
`com.google.protobuf.Parser<TxnRequest>` `getParserForType()`
`int` `getSerializedSize()`
`RequestOp` `getSuccess(int index)` success is a list of requests which will be applied when compare evaluates to true.
`int` `getSuccessCount()` success is a list of requests which will be applied when compare evaluates to true.
`List<RequestOp>` `getSuccessList()` success is a list of requests which will be applied when compare evaluates to true.
`RequestOpOrBuilder` `getSuccessOrBuilder(int index)` success is a list of requests which will be applied when compare evaluates to true.
`List<? extends RequestOpOrBuilder>` `getSuccessOrBuilderList()` success is a list of requests which will be applied when compare evaluates to true.
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static TxnRequest.Builder` `newBuilder()`
`static TxnRequest.Builder` `newBuilder(TxnRequest prototype)`
`TxnRequest.Builder` `newBuilderForType()`
`protected TxnRequest.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static TxnRequest` `parseDelimitedFrom(InputStream input)`
`static TxnRequest` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static TxnRequest` `parseFrom(byte[] data)`
`static TxnRequest` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static TxnRequest` `parseFrom(ByteBuffer data)`
`static TxnRequest` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static TxnRequest` `parseFrom(com.google.protobuf.ByteString data)`
`static TxnRequest` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static TxnRequest` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static TxnRequest` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static TxnRequest` `parseFrom(InputStream input)`
`static TxnRequest` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<TxnRequest>` `parser()`
`TxnRequest.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### COMPARE_FIELD_NUMBER

    public static final int COMPARE_FIELD_NUMBER

See Also:
  Constant Field Values

#### SUCCESS_FIELD_NUMBER

    public static final int SUCCESS_FIELD_NUMBER

See Also:
  Constant Field Values

#### FAILURE_FIELD_NUMBER

    public static final int FAILURE_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getCompareList

    public List<Compare> getCompareList()

     compare is a list of predicates representing a conjunction of terms.
     If the comparisons succeed, then the success requests will be processed in order,
     and the response will contain their respective responses in order.
     If the comparisons fail, then the failure requests will be processed in order,
     and the response will contain their respective responses in order.

`repeated .etcdserverpb.Compare compare = 1;`

Specified by:
  `getCompareList` in interface `TxnRequestOrBuilder`

#### getCompareOrBuilderList

    public List<? extends CompareOrBuilder> getCompareOrBuilderList()

     compare is a list of predicates representing a conjunction of terms.
     If the comparisons succeed, then the success requests will be processed in order,
     and the response will contain their respective responses in order.
     If the comparisons fail, then the failure requests will be processed in order,
     and the response will contain their respective responses in order.

`repeated .etcdserverpb.Compare compare = 1;`

Specified by:
  `getCompareOrBuilderList` in interface `TxnRequestOrBuilder`

#### getCompareCount

    public int getCompareCount()

     compare is a list of predicates representing a conjunction of terms.
     If the comparisons succeed, then the success requests will be processed in order,
     and the response will contain their respective responses in order.
     If the comparisons fail, then the failure requests will be processed in order,
     and the response will contain their respective responses in order.

`repeated .etcdserverpb.Compare compare = 1;`

Specified by:
  `getCompareCount` in interface `TxnRequestOrBuilder`

#### getCompare

    public Compare getCompare(int index)

     compare is a list of predicates representing a conjunction of terms.
     If the comparisons succeed, then the success requests will be processed in order,
     and the response will contain their respective responses in order.
     If the comparisons fail, then the failure requests will be processed in order,
     and the response will contain their respective responses in order.

`repeated .etcdserverpb.Compare compare = 1;`

Specified by:
  `getCompare` in interface `TxnRequestOrBuilder`

#### getCompareOrBuilder

    public CompareOrBuilder getCompareOrBuilder(int index)

     compare is a list of predicates representing a conjunction of terms.
     If the comparisons succeed, then the success requests will be processed in order,
     and the response will contain their respective responses in order.
     If the comparisons fail, then the failure requests will be processed in order,
     and the response will contain their respective responses in order.

`repeated .etcdserverpb.Compare compare = 1;`

Specified by:
  `getCompareOrBuilder` in interface `TxnRequestOrBuilder`

#### getSuccessList

    public List<RequestOp> getSuccessList()

     success is a list of requests which will be applied when compare evaluates to true.

`repeated .etcdserverpb.RequestOp success = 2;`

Specified by:
  `getSuccessList` in interface `TxnRequestOrBuilder`

#### getSuccessOrBuilderList

    public List<? extends RequestOpOrBuilder> getSuccessOrBuilderList()

     success is a list of requests which will be applied when compare evaluates to true.

`repeated .etcdserverpb.RequestOp success = 2;`

Specified by:
  `getSuccessOrBuilderList` in interface `TxnRequestOrBuilder`

#### getSuccessCount

    public int getSuccessCount()

     success is a list of requests which will be applied when compare evaluates to true.

`repeated .etcdserverpb.RequestOp success = 2;`

Specified by:
  `getSuccessCount` in interface `TxnRequestOrBuilder`

#### getSuccess

    public RequestOp getSuccess(int index)

     success is a list of requests which will be applied when compare evaluates to true.

`repeated .etcdserverpb.RequestOp success = 2;`

Specified by:
  `getSuccess` in interface `TxnRequestOrBuilder`

#### getSuccessOrBuilder

    public RequestOpOrBuilder getSuccessOrBuilder(int index)

     success is a list of requests which will be applied when compare evaluates to true.

`repeated .etcdserverpb.RequestOp success = 2;`

Specified by:
  `getSuccessOrBuilder` in interface `TxnRequestOrBuilder`

#### getFailureList

    public List<RequestOp> getFailureList()

     failure is a list of requests which will be applied when compare evaluates to false.

`repeated .etcdserverpb.RequestOp failure = 3;`

Specified by:
  `getFailureList` in interface `TxnRequestOrBuilder`

#### getFailureOrBuilderList

    public List<? extends RequestOpOrBuilder> getFailureOrBuilderList()

     failure is a list of requests which will be applied when compare evaluates to false.

`repeated .etcdserverpb.RequestOp failure = 3;`

Specified by:
  `getFailureOrBuilderList` in interface `TxnRequestOrBuilder`

#### getFailureCount

    public int getFailureCount()

     failure is a list of requests which will be applied when compare evaluates to false.

`repeated .etcdserverpb.RequestOp failure = 3;`

Specified by:
  `getFailureCount` in interface `TxnRequestOrBuilder`

#### getFailure

    public RequestOp getFailure(int index)

     failure is a list of requests which will be applied when compare evaluates to false.

`repeated .etcdserverpb.RequestOp failure = 3;`

Specified by:
  `getFailure` in interface `TxnRequestOrBuilder`

#### getFailureOrBuilder

    public RequestOpOrBuilder getFailureOrBuilder(int index)

     failure is a list of requests which will be applied when compare evaluates to false.

`repeated .etcdserverpb.RequestOp failure = 3;`

Specified by:
  `getFailureOrBuilder` in interface `TxnRequestOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static TxnRequest parseFrom(ByteBuffer data)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static TxnRequest parseFrom(ByteBuffer data,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static TxnRequest parseFrom(com.google.protobuf.ByteString data)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static TxnRequest parseFrom(com.google.protobuf.ByteString data,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static TxnRequest parseFrom(byte[] data)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static TxnRequest parseFrom(byte[] data,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static TxnRequest parseFrom(InputStream input)
                                throws IOException

Throws:
  `IOException`

#### parseFrom

    public static TxnRequest parseFrom(InputStream input,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static TxnRequest parseDelimitedFrom(InputStream input)
                                         throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static TxnRequest parseDelimitedFrom(InputStream input,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws IOException

Throws:
  `IOException`

#### parseFrom

    public static TxnRequest parseFrom(com.google.protobuf.CodedInputStream input)
                                throws IOException

Throws:
  `IOException`

#### parseFrom

    public static TxnRequest parseFrom(com.google.protobuf.CodedInputStream input,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public TxnRequest.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static TxnRequest.Builder newBuilder()

#### newBuilder

    public static TxnRequest.Builder newBuilder(TxnRequest prototype)

#### toBuilder

    public TxnRequest.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected TxnRequest.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static TxnRequest getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<TxnRequest> parser()

#### getParserForType

    public com.google.protobuf.Parser<TxnRequest> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public TxnRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`